API Reference

GET /api/status

Returns current network status.

cURL

curl https://explorer.amungold.com/api/status

JavaScript

fetch('/api/status')
  .then(r => r.json())
  .then(d => console.log(d))

Python

import requests
r = requests.get('https://explorer.amungold.com/api/status')
print(r.json())

Response: { network, latest_height, validators, constitutional, evidence_root, ... }

GET /api/block/:height

Returns block details with constitutional evidence.

cURL

curl https://explorer.amungold.com/api/block/1

JavaScript

fetch('/api/block/1')
  .then(r => r.json())
  .then(d => console.log(d))

Rust

let resp = reqwest::get(
    "https://explorer.amungold.com/api/block/1")
    .await?.json::().await?;

POST /wallet/create

Creates a new constitutional identity.

curl -X POST https://wallet.amungold.com/wallet/create

Response: { address, public_key, created }

GET /wallet/:address/balance

Returns NTR balance for the given address.

curl https://wallet.amungold.com/wallet/
/balance